## Command line options

The available command line switches can be printed by running Boa.py -h

    Command-line usage: Boa.py [options] [file1] [file2] ...
    -C, --Constricted:
            Runs in constricted mode, overrides the Preference
    -D, --Debug:
            Runs the first filename passed on the command-line in the Debugger
            on startup
    -T, --Trace:
            Runs in traceing mode. Used for tracking down core dumps. Every
            function call is logged to a file which can later be parsed for
            a traceback
    -S, --StartupFile:
            Executes the script pointed to by $BOASTARTUP or $PYTHONSTARTUP in
            the Shell namespace. The Editor object is available as sys.boa_ide.
            Overrides the Preference
    -B, --BlockHomePrefs:
            Prevents the $HOME directory being used
    -O dirname, --OverridePrefsDirName dirname:
            Specify a different directory to load Preferences from.
            Default is .boa and is used if it exists
    -E, --EmptyEditor:
            Don't open the files that were open last time Boa was closed.
    -R, --RemoteDebugServer:
            Runs the first filename passed on the command-line in a
            Remote Debugger Server that can be connected to over a socket.'

Boa Constructor - Application Help - Command line options